{ inputs, pkgs, ...}:

{
    programs.kitty.enable = true;
    wayland.windowManager.hyprland = {
        enable = true;
        package = null;
        portalPackage = null;
        systemd.variables = [ "--all" ];
        plugins = [
            inputs.hyprland-plugins.packages.${pkgs.stdenv.hostPlatform.system}.hyprbars
        ];
    };
    home.sessionVariables.NIXOS_OZONE_WL = "1";

    wayland.windowManager.hyprland.settings = {
        "$mod" = "SUPER";
        "$terminal" = "kitty";
        "$filemanager" = "dolphin";
        
        bind = [
            "$mod, F, exec, firefox"
            "$mod, Q, exec, $terminal"
            "$mod, C, killactive, "
            "$mod, M, exit, "
            "$mod, V, togglefloating, "
            "$mod, R, exec, $menu"
            "$mod, S, exec, $power"
            "$mod, P, pseudo, "
            "$mod, J, togglesplit, "
        ] ++ (
            # workspaces
            # binds $mod + [shift +] {1..9} to [move to] workspace {1..9}
            builtins.concatLists (builtins.genList (i:
                let ws = i + 1;
                in [
                  "$mod, code:1${toString i}, workspace, ${toString ws}"
                  "$mod SHIFT, code:1${toString i}, movetoworkspace, ${toString ws}"
                ]
              )
              9)
        );
    };
}
